;; my-mail-mode-hook.el
;; Hook fuer das Einfuegen von Signatur und fortune-Spruch

;; Hooks fuer automatische Mail-Konvertierung

(defun my-mail-signature ()
"fuegt Signatur und Cookie ein :) "
(interactive)
(save-excursion
  (mail-signature)
  (goto-char (point-max))
  (newline 1)
  (save-excursion
    (setq lines 4)
    (set-buffer (get-buffer-create "*cookie*"))
    (while (> lines 3)
      (erase-buffer)
      (shell-command "/usr/local/bin/cookie" t)      
      (delete-matching-lines "HAVE.*MAIL\]")
      (setq lines (count-lines (point-min) (point-max)))))
  (insert-buffer "*cookie*")))

(defun my-mail-mode-settings ()
  (setq mail-signature-file "~/.sig.real")
  (define-key mail-mode-map "  " 'my-mail-signature))

(setq mail-mode-hook 'my-mail-mode-settings)

